#### PAEBCDIC

#### Synopsis

    HELP:   Password in EBCIDC for en/de-crypting in AES or FLAMENC mode (default: FLAMENC).
    TYPE:   STRING
    SYNTAX: PAEBCDIC='bin-ebcdic'

#### Description

Password in EBCDIC used with `mode=adc`, `aes` or `ndc` (in WINDOWS only).

During compression the FLAMFILE is encrypted with the specified password and can only be decompressed with the same password.

Before usage the password is converted to EBCDIC. This is helpful when communicating with a main frame.

Only those characters that can be clearly classified as either ASCII or EBCDIC should be used. This applies to all letters and numbers plus many punctuation marks (usually !"#$%&*+,./:;=?@ ). German umlauts must be avoided. In critical cases hex input with parameter PAXWORD) is helpful.

See also parameters MODE, CRYPTOMODE, PASSWORD, PAXWORD or PAASCII.

Regardless of the encryption algorithm, a key should consist of at least 6 - 8 characters and it should at least contain one character from the following sets:

- Lower case letters
- Upper case letters
- Numbers 0 - 9
- Punctuation characters

Syntax restrictions for FLAMv4 or older:

- `paebcdic=password`
- `pae=password`

Values

- String with a length of 1 to 64 characters. Before usage the password is converted to EBCDIC.

Default

- No default value can be set for PASSWORD.

Valid for:

- compression
- decompression